<blockquote class="lang-specific javascript--browser">
<p>There are multiple ways on how to integrate the library within your project. 
The library is available on bower, jsdelivr (CDN), npm, or as download from GitHub.</p>
</blockquote>

<blockquote class="lang-specific javascript--browser">
<h3>Using Bower</h3>
<p>The library can be installed via bower, further information about bower can be found 
<a href="https://bower.io" target="_blank">here</a>.</p>
</blockquote>

>
```javascript--browser
bower install breinify-api --save
```

<blockquote class="lang-specific javascript--browser">
<h3>jsdelivr (CDN)</h3>
<p>The library can be loaded directly within the html code from . 
<a href="https://www.jsdelivr.com/" target="_blank">jsdelivr</a>. Please replace
the {version} placeholder with the version you would like to use.
To see a list of all available version have a look 
<a href="https://www.jsdelivr.com/projects/breinify-api" target="_blank">here</a></p>
</blockquote>

>
```javascript--browser
<script src="https://cdn.jsdelivr.net/breinify-api/{version}/breinify-api.min.js" type="text/javascript"></script>
```

<blockquote class="lang-specific javascript--browser">
<p>To use the most current SNAPSHOT version, you can also use the following URL.
This URL should only be used for developing purposes (see also <a href="https://rawgit.com/" target="_blank">rawgit.com</a>).</p>
</blockquote>

>
```javascript--browser
<script src="https://rawgit.com/Breinify/brein-api-library-javascript-browser/master/dist/breinify-api.min.js" type="text/javascript" ></script>
```

<blockquote class="lang-specific javascript--browser">
<h3>Using npm</h3>
<p>The library can be installed via npm, further information about npm can be found 
<a href="https://www.npmjs.com/" target="_blank">here</a>. It should be mentioned that it is 
<b>not recommended</b> to use this library with Node.js, instead use the
<a href="https://github.com/Breinify/brein-api-library-node" target="_blank">Node.js Library</a></p>
</blockquote>

>
```javascript--browser
npm install breinify-api --save
```